<?php

namespace App\Services\File\BIM\Contacts;

use Illuminate\Http\UploadedFile;

interface BIMContact {

    public function uploadFile(UploadedFile $file, array $params = []);

    public function downloadSourceFile();

    public function findConvertStatus(string $dataSetId);

    public function viewDataSetModel(array $dataSetIDS);

    public function addToConvertQueue(string $dataSetId): array;
}
